{
        "name" : "CamelGenericConnector",
        "displayName" : "CamelGenericConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.GenericCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelGenericConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Send payload to a Camel endpoint",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "path",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelSQLConnector",
        "displayName" : "CamelSQLConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.SQLCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelSQLConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"sql"
                ,"database"
                ,"jdbc"
                ,"query"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Execute SQL query at a Camel endpoint and retrieve results",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "query",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelFileConnector",
        "displayName" : "CamelFileConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.FileCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelFileConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"file"
                ,"filysystem"
                ,"read"
                ,"write"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Access file systems and process files",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "path",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "fileName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelFTPConnector",
        "displayName" : "CamelFTPConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.FTPCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelFTPConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"ftp"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Access remote file system over FTP",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "hostname",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "password",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "port",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "directoryname",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "CamelFileName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "username",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelJMSConnector",
        "displayName" : "CamelJMSConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.JMSCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelJMSConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"jms"
                ,"queue"
                ,"topic"
                ,"message"
                ,"send"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Send message to a JMS Queue or Topic",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "destinationName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelFTPSConnector",
        "displayName" : "CamelFTPSConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.FTPSCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelFTPSConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"ftp"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Access remote file system over FTPS",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "hostName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "password",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "port",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "userName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "directoryName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelXSLTConnector",
        "displayName" : "CamelXSLTConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.XSLTCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelXSLTConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"xslt"
                ,"template"
                ,"message"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Process a message using an XSLT template",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "templateName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "CamelCXFConnector",
        "displayName" : "CamelCXFConnector",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.camel.CXFCamelWorkitemHandler()",
        "documentation" : "camel-workitem/index.html",
        "module" : "camel-workitem",
        "icon" : "CamelCXFConnector.png",
            "category" : "Camel",
            "description" : "Use Apache Camel connectors in your processes",
            "keywords" : [
                                "apache"
                ,"camel"
                ,"cxf"
                ,"payload"
                ,"route"
                ,"connector"

            ],
                "isaction" : "true",
                "actiontitle" : "Connect to a JAX-WS service hosted in CXF",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "address",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "serviceClass",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "payload",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "portName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "serviceName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "response",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "camel-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
